package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussUserRewardFlow implements Serializable {
    private Integer id;

    private Integer userid;

    private Integer parentid;

    private BigDecimal t2flow;

    private BigDecimal t3flow;

    private BigDecimal dividflow;

    private BigDecimal areaflow;

    private Date createtime;

    private Date createdate;

    private String ordernumber;

    private Integer status;

    private String createmonth;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public Integer getParentid() {
        return parentid;
    }

    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    public BigDecimal getT2flow() {
        return t2flow;
    }

    public void setT2flow(BigDecimal t2flow) {
        this.t2flow = t2flow;
    }

    public BigDecimal getT3flow() {
        return t3flow;
    }

    public void setT3flow(BigDecimal t3flow) {
        this.t3flow = t3flow;
    }

    public BigDecimal getDividflow() {
        return dividflow;
    }

    public void setDividflow(BigDecimal dividflow) {
        this.dividflow = dividflow;
    }

    public BigDecimal getAreaflow() {
        return areaflow;
    }

    public void setAreaflow(BigDecimal areaflow) {
        this.areaflow = areaflow;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreatemonth() {
        return createmonth;
    }

    public void setCreatemonth(String createmonth) {
        this.createmonth = createmonth == null ? null : createmonth.trim();
    }
}